#include <iostream>

using namespace std;

int main()
{
    unsigned long n, m;
    cin >> n >> m;
    if ( n % 2 == 1 && m % 2 == 1 )
         cout << n*m - ((n-2)*(m-2)/2 + 1);
    else cout << n*m - ((n-2)*(m-2)/2);
    return 0;
}